Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends | List of all members
UnitTestImpl Class Reference

`#include <gtest-internal-inl.h>`

## Public Types
enum | ReactionToSharding { HONOR_SHARDING_PROTOCOL, IGNORE_SHARDING_PROTOCOL, HONOR_SHARDING_PROTOCOL, IGNORE_SHARDING_PROTOCOL, HONOR_SHARDING_PROTOCOL, IGNORE_SHARDING_PROTOCOL }
enum | ReactionToSharding { HONOR_SHARDING_PROTOCOL, IGNORE_SHARDING_PROTOCOL, HONOR_SHARDING_PROTOCOL, IGNORE_SHARDING_PROTOCOL, HONOR_SHARDING_PROTOCOL, IGNORE_SHARDING_PROTOCOL }
enum | ReactionToSharding { HONOR_SHARDING_PROTOCOL, IGNORE_SHARDING_PROTOCOL, HONOR_SHARDING_PROTOCOL, IGNORE_SHARDING_PROTOCOL, HONOR_SHARDING_PROTOCOL, IGNORE_SHARDING_PROTOCOL }

## Public Member Functions
| UnitTestImpl (UnitTest *parent)
virtual | ~UnitTestImpl ()
TestPartResultReporterInterface * | GetGlobalTestPartResultReporter ()
void | SetGlobalTestPartResultReporter (TestPartResultReporterInterface *reporter)
TestPartResultReporterInterface * | GetTestPartResultReporterForCurrentThread ()
void | SetTestPartResultReporterForCurrentThread (TestPartResultReporterInterface *reporter)
int | successful_test_case_count () const
int | failed_test_case_count () const
int | total_test_case_count () const
int | test_case_to_run_count () const
int | successful_test_count () const
int | failed_test_count () const
int | disabled_test_count () const
int | total_test_count () const
int | test_to_run_count () const
TimeInMillis | elapsed_time () const
bool | Passed () const
bool | Failed () const
const TestCase * | GetTestCase (int i) const
TestCase * | GetMutableTestCase (int i)
TestEventListeners * | listeners ()
TestResult * | current_test_result ()
const TestResult * | ad_hoc_test_result () const
void | set_os_stack_trace_getter (OsStackTraceGetterInterface *getter)
OsStackTraceGetterInterface * | os_stack_trace_getter ()
String | CurrentOsStackTraceExceptTop (int skip_count)
TestCase * | GetTestCase (const char *test_case_name, const char *type_param, Test::SetUpTestCaseFunc set_up_tc, Test::TearDownTestCaseFunc tear_down_tc)
void | AddTestInfo (Test::SetUpTestCaseFunc set_up_tc, Test::TearDownTestCaseFunc tear_down_tc, TestInfo *test_info)
void | set_current_test_case (TestCase *a_current_test_case)
void | set_current_test_info (TestInfo *a_current_test_info)
void | RegisterParameterizedTests ()
bool | RunAllTests ()
void | ClearNonAdHocTestResult ()
void | ClearAdHocTestResult ()
int | FilterTests (ReactionToSharding shard_tests)
void | ListTestsMatchingFilter ()
const TestCase * | current_test_case () const
TestInfo * | current_test_info ()
const TestInfo * | current_test_info () const
std::vector< Environment * > & | environments ()
std::vector< TraceInfo > & | gtest_trace_stack ()
const std::vector< TraceInfo > & | gtest_trace_stack () const
void | ConfigureXmlOutput ()
void | PostFlagParsingInit ()
int | random_seed () const
internal::Random * | random ()
void | ShuffleTests ()
void | UnshuffleTests ()
bool | catch_exceptions () const
| UnitTestImpl (UnitTest *parent)
virtual | ~UnitTestImpl ()
TestPartResultReporterInterface * | GetGlobalTestPartResultReporter ()
void | SetGlobalTestPartResultReporter (TestPartResultReporterInterface *reporter)
TestPartResultReporterInterface * | GetTestPartResultReporterForCurrentThread ()
void | SetTestPartResultReporterForCurrentThread (TestPartResultReporterInterface *reporter)
int | successful_test_case_count () const
int | failed_test_case_count () const
int | total_test_case_count () const
int | test_case_to_run_count () const
int | successful_test_count () const
int | failed_test_count () const
int | disabled_test_count () const
int | total_test_count () const
int | test_to_run_count () const
TimeInMillis | elapsed_time () const
bool | Passed () const
bool | Failed () const
const TestCase * | GetTestCase (int i) const
TestCase * | GetMutableTestCase (int i)
TestEventListeners * | listeners ()
TestResult * | current_test_result ()
const TestResult * | ad_hoc_test_result () const
void | set_os_stack_trace_getter (OsStackTraceGetterInterface *getter)
OsStackTraceGetterInterface * | os_stack_trace_getter ()
String | CurrentOsStackTraceExceptTop (int skip_count)
TestCase * | GetTestCase (const char *test_case_name, const char *type_param, Test::SetUpTestCaseFunc set_up_tc, Test::TearDownTestCaseFunc tear_down_tc)
void | AddTestInfo (Test::SetUpTestCaseFunc set_up_tc, Test::TearDownTestCaseFunc tear_down_tc, TestInfo *test_info)
void | set_current_test_case (TestCase *a_current_test_case)
void | set_current_test_info (TestInfo *a_current_test_info)
void | RegisterParameterizedTests ()
bool | RunAllTests ()
void | ClearNonAdHocTestResult ()
void | ClearAdHocTestResult ()
int | FilterTests (ReactionToSharding shard_tests)
void | ListTestsMatchingFilter ()
const TestCase * | current_test_case () const
TestInfo * | current_test_info ()
const TestInfo * | current_test_info () const
std::vector< Environment * > & | environments ()
std::vector< TraceInfo > & | gtest_trace_stack ()
const std::vector< TraceInfo > & | gtest_trace_stack () const
void | ConfigureXmlOutput ()
void | PostFlagParsingInit ()
int | random_seed () const
internal::Random * | random ()
void | ShuffleTests ()
void | UnshuffleTests ()
bool | catch_exceptions () const
| UnitTestImpl (UnitTest *parent)
virtual | ~UnitTestImpl ()
TestPartResultReporterInterface * | GetGlobalTestPartResultReporter ()
void | SetGlobalTestPartResultReporter (TestPartResultReporterInterface *reporter)
TestPartResultReporterInterface * | GetTestPartResultReporterForCurrentThread ()
void | SetTestPartResultReporterForCurrentThread (TestPartResultReporterInterface *reporter)
int | successful_test_case_count () const
int | failed_test_case_count () const
int | total_test_case_count () const
int | test_case_to_run_count () const
int | successful_test_count () const
int | failed_test_count () const
int | disabled_test_count () const
int | total_test_count () const
int | test_to_run_count () const
TimeInMillis | elapsed_time () const
bool | Passed () const
bool | Failed () const
const TestCase * | GetTestCase (int i) const
TestCase * | GetMutableTestCase (int i)
TestEventListeners * | listeners ()
TestResult * | current_test_result ()
const TestResult * | ad_hoc_test_result () const
void | set_os_stack_trace_getter (OsStackTraceGetterInterface *getter)
OsStackTraceGetterInterface * | os_stack_trace_getter ()
String | CurrentOsStackTraceExceptTop (int skip_count)
TestCase * | GetTestCase (const char *test_case_name, const char *type_param, Test::SetUpTestCaseFunc set_up_tc, Test::TearDownTestCaseFunc tear_down_tc)
void | AddTestInfo (Test::SetUpTestCaseFunc set_up_tc, Test::TearDownTestCaseFunc tear_down_tc, TestInfo *test_info)
void | set_current_test_case (TestCase *a_current_test_case)
void | set_current_test_info (TestInfo *a_current_test_info)
void | RegisterParameterizedTests ()
bool | RunAllTests ()
void | ClearNonAdHocTestResult ()
void | ClearAdHocTestResult ()
int | FilterTests (ReactionToSharding shard_tests)
void | ListTestsMatchingFilter ()
const TestCase * | current_test_case () const
TestInfo * | current_test_info ()
const TestInfo * | current_test_info () const
std::vector< Environment * > & | environments ()
std::vector< TraceInfo > & | gtest_trace_stack ()
const std::vector< TraceInfo > & | gtest_trace_stack () const
void | ConfigureXmlOutput ()
void | PostFlagParsingInit ()
int | random_seed () const
internal::Random * | random ()
void | ShuffleTests ()
void | UnshuffleTests ()
bool | catch_exceptions () const

## Friends
class | ::testing::UnitTest

## Member Enumeration Documentation

enum ReactionToSharding

Enumerator
HONOR_SHARDING_PROTOCOL |
IGNORE_SHARDING_PROTOCOL |
HONOR_SHARDING_PROTOCOL |
IGNORE_SHARDING_PROTOCOL |
HONOR_SHARDING_PROTOCOL |
IGNORE_SHARDING_PROTOCOL |

enum ReactionToSharding

Enumerator
HONOR_SHARDING_PROTOCOL |
IGNORE_SHARDING_PROTOCOL |
HONOR_SHARDING_PROTOCOL |
IGNORE_SHARDING_PROTOCOL |
HONOR_SHARDING_PROTOCOL |
IGNORE_SHARDING_PROTOCOL |

enum ReactionToSharding

Enumerator
HONOR_SHARDING_PROTOCOL |
IGNORE_SHARDING_PROTOCOL |
HONOR_SHARDING_PROTOCOL |
IGNORE_SHARDING_PROTOCOL |
HONOR_SHARDING_PROTOCOL |
IGNORE_SHARDING_PROTOCOL |

## Constructor & Destructor Documentation

UnitTestImpl | ( | UnitTest * | parent | ) |
| explicit

~UnitTestImpl | ( |  | ) |
| virtual

UnitTestImpl | ( | UnitTest * | parent | ) |
| explicit

virtual ~UnitTestImpl | ( |  | ) |
| virtual

UnitTestImpl | ( | UnitTest * | parent | ) |
| explicit

virtual ~UnitTestImpl | ( |  | ) |
| virtual

## Member Function Documentation

const TestResult* ad_hoc_test_result | ( |  | ) | const
| inline

const TestResult* ad_hoc_test_result | ( |  | ) | const
| inline

const TestResult* ad_hoc_test_result | ( |  | ) | const
| inline

void AddTestInfo | ( | Test::SetUpTestCaseFunc | set_up_tc,
|  | Test::TearDownTestCaseFunc | tear_down_tc,
|  | TestInfo * | test_info
| ) |  |
| inline

void AddTestInfo | ( | Test::SetUpTestCaseFunc | set_up_tc,
|  | Test::TearDownTestCaseFunc | tear_down_tc,
|  | TestInfo * | test_info
| ) |  |
| inline

void AddTestInfo | ( | Test::SetUpTestCaseFunc | set_up_tc,
|  | Test::TearDownTestCaseFunc | tear_down_tc,
|  | TestInfo * | test_info
| ) |  |
| inline

bool catch_exceptions | ( |  | ) | const
| inline

bool catch_exceptions | ( |  | ) | const
| inline

bool catch_exceptions | ( |  | ) | const
| inline

void ClearAdHocTestResult | ( |  | ) |
| inline

void ClearAdHocTestResult | ( |  | ) |
| inline

void ClearAdHocTestResult | ( |  | ) |
| inline

void ClearNonAdHocTestResult | ( |  | ) |
| inline

void ClearNonAdHocTestResult | ( |  | ) |
| inline

void ClearNonAdHocTestResult | ( |  | ) |
| inline

void ConfigureXmlOutput | ( |  | ) |

void ConfigureXmlOutput | ( |  | ) |

void ConfigureXmlOutput | ( |  | ) |

const TestCase* current_test_case | ( |  | ) | const
| inline

const TestCase* current_test_case | ( |  | ) | const
| inline

const TestCase* current_test_case | ( |  | ) | const
| inline

TestInfo* current_test_info | ( |  | ) |
| inline

TestInfo* current_test_info | ( |  | ) |
| inline

const TestInfo* current_test_info | ( |  | ) | const
| inline

const TestInfo* current_test_info | ( |  | ) | const
| inline

TestInfo* current_test_info | ( |  | ) |
| inline

const TestInfo* current_test_info | ( |  | ) | const
| inline

TestResult * current_test_result | ( |  | ) |

TestResult* current_test_result | ( |  | ) |

TestResult* current_test_result | ( |  | ) |

String CurrentOsStackTraceExceptTop | ( | int | skip_count | ) |

String CurrentOsStackTraceExceptTop | ( | int | skip_count | ) |

String CurrentOsStackTraceExceptTop | ( | int | skip_count | ) |

int disabled_test_count | ( |  | ) | const

int disabled_test_count | ( |  | ) | const

int disabled_test_count | ( |  | ) | const

TimeInMillis elapsed_time | ( |  | ) | const
| inline

TimeInMillis elapsed_time | ( |  | ) | const
| inline

TimeInMillis elapsed_time | ( |  | ) | const
| inline

std::vector<Environment*>& environments | ( |  | ) |
| inline

std::vector<Environment*>& environments | ( |  | ) |
| inline

std::vector<Environment*>& environments | ( |  | ) |
| inline

bool Failed | ( |  | ) | const
| inline

bool Failed | ( |  | ) | const
| inline

bool Failed | ( |  | ) | const
| inline

int failed_test_case_count | ( |  | ) | const

int failed_test_case_count | ( |  | ) | const

int failed_test_case_count | ( |  | ) | const

int failed_test_count | ( |  | ) | const

int failed_test_count | ( |  | ) | const

int failed_test_count | ( |  | ) | const

int FilterTests | ( | ReactionToSharding | shard_tests | ) |

int FilterTests | ( | ReactionToSharding | shard_tests | ) |

int FilterTests | ( | ReactionToSharding | shard_tests | ) |

TestPartResultReporterInterface* GetGlobalTestPartResultReporter | ( |  | ) |

TestPartResultReporterInterface * GetGlobalTestPartResultReporter | ( |  | ) |

TestPartResultReporterInterface* GetGlobalTestPartResultReporter | ( |  | ) |

TestCase* GetMutableTestCase | ( | int | i | ) |
| inline

TestCase* GetMutableTestCase | ( | int | i | ) |
| inline

TestCase* GetMutableTestCase | ( | int | i | ) |
| inline

const TestCase* GetTestCase | ( | int | i | ) | const
| inline

const TestCase* GetTestCase | ( | int | i | ) | const
| inline

TestCase * GetTestCase | ( | const char * | test_case_name,
|  | const char * | type_param,
|  | Test::SetUpTestCaseFunc | set_up_tc,
|  | Test::TearDownTestCaseFunc | tear_down_tc
| ) |  |

TestCase* GetTestCase | ( | const char * | test_case_name,
|  | const char * | type_param,
|  | Test::SetUpTestCaseFunc | set_up_tc,
|  | Test::TearDownTestCaseFunc | tear_down_tc
| ) |  |

const TestCase* GetTestCase | ( | int | i | ) | const
| inline

TestCase* GetTestCase | ( | const char * | test_case_name,
|  | const char * | type_param,
|  | Test::SetUpTestCaseFunc | set_up_tc,
|  | Test::TearDownTestCaseFunc | tear_down_tc
| ) |  |

TestPartResultReporterInterface* GetTestPartResultReporterForCurrentThread | ( |  | ) |

TestPartResultReporterInterface * GetTestPartResultReporterForCurrentThread | ( |  | ) |

TestPartResultReporterInterface* GetTestPartResultReporterForCurrentThread | ( |  | ) |

std::vector<TraceInfo>& gtest_trace_stack | ( |  | ) |
| inline

std::vector<TraceInfo>& gtest_trace_stack | ( |  | ) |
| inline

const std::vector<TraceInfo>& gtest_trace_stack | ( |  | ) | const
| inline

const std::vector<TraceInfo>& gtest_trace_stack | ( |  | ) | const
| inline

std::vector<TraceInfo>& gtest_trace_stack | ( |  | ) |
| inline

const std::vector<TraceInfo>& gtest_trace_stack | ( |  | ) | const
| inline

TestEventListeners* listeners | ( |  | ) |
| inline

TestEventListeners* listeners | ( |  | ) |
| inline

TestEventListeners* listeners | ( |  | ) |
| inline

void ListTestsMatchingFilter | ( |  | ) |

void ListTestsMatchingFilter | ( |  | ) |

void ListTestsMatchingFilter | ( |  | ) |

OsStackTraceGetterInterface * os_stack_trace_getter | ( |  | ) |

OsStackTraceGetterInterface* os_stack_trace_getter | ( |  | ) |

OsStackTraceGetterInterface* os_stack_trace_getter | ( |  | ) |

bool Passed | ( |  | ) | const
| inline

bool Passed | ( |  | ) | const
| inline

bool Passed | ( |  | ) | const
| inline

void PostFlagParsingInit | ( |  | ) |

void PostFlagParsingInit | ( |  | ) |

void PostFlagParsingInit | ( |  | ) |

internal::Random* random | ( |  | ) |
| inline

internal::Random* random | ( |  | ) |
| inline

internal::Random* random | ( |  | ) |
| inline

int random_seed | ( |  | ) | const
| inline

int random_seed | ( |  | ) | const
| inline

int random_seed | ( |  | ) | const
| inline

void RegisterParameterizedTests | ( |  | ) |

void RegisterParameterizedTests | ( |  | ) |

void RegisterParameterizedTests | ( |  | ) |

bool RunAllTests | ( |  | ) |

bool RunAllTests | ( |  | ) |

bool RunAllTests | ( |  | ) |

void set_current_test_case | ( | TestCase * | a_current_test_case | ) |
| inline

void set_current_test_case | ( | TestCase * | a_current_test_case | ) |
| inline

void set_current_test_case | ( | TestCase * | a_current_test_case | ) |
| inline

void set_current_test_info | ( | TestInfo * | a_current_test_info | ) |
| inline

void set_current_test_info | ( | TestInfo * | a_current_test_info | ) |
| inline

void set_current_test_info | ( | TestInfo * | a_current_test_info | ) |
| inline

void set_os_stack_trace_getter | ( | OsStackTraceGetterInterface * | getter | ) |

void set_os_stack_trace_getter | ( | OsStackTraceGetterInterface * | getter | ) |

void set_os_stack_trace_getter | ( | OsStackTraceGetterInterface * | getter | ) |

void SetGlobalTestPartResultReporter | ( | TestPartResultReporterInterface * | reporter | ) |

void SetGlobalTestPartResultReporter | ( | TestPartResultReporterInterface * | reporter | ) |

void SetGlobalTestPartResultReporter | ( | TestPartResultReporterInterface * | reporter | ) |

void SetTestPartResultReporterForCurrentThread | ( | TestPartResultReporterInterface * | reporter | ) |

void SetTestPartResultReporterForCurrentThread | ( | TestPartResultReporterInterface * | reporter | ) |

void SetTestPartResultReporterForCurrentThread | ( | TestPartResultReporterInterface * | reporter | ) |

void ShuffleTests | ( |  | ) |

void ShuffleTests | ( |  | ) |

void ShuffleTests | ( |  | ) |

int successful_test_case_count | ( |  | ) | const

int successful_test_case_count | ( |  | ) | const

int successful_test_case_count | ( |  | ) | const

int successful_test_count | ( |  | ) | const

int successful_test_count | ( |  | ) | const

int successful_test_count | ( |  | ) | const

int test_case_to_run_count | ( |  | ) | const

int test_case_to_run_count | ( |  | ) | const

int test_case_to_run_count | ( |  | ) | const

int test_to_run_count | ( |  | ) | const

int test_to_run_count | ( |  | ) | const

int test_to_run_count | ( |  | ) | const

int total_test_case_count | ( |  | ) | const

int total_test_case_count | ( |  | ) | const

int total_test_case_count | ( |  | ) | const

int total_test_count | ( |  | ) | const

int total_test_count | ( |  | ) | const

int total_test_count | ( |  | ) | const

void UnshuffleTests | ( |  | ) |

void UnshuffleTests | ( |  | ) |

void UnshuffleTests | ( |  | ) |

## Friends And Related Function Documentation

friend class ::testing::UnitTest
| friend

The documentation for this class was generated from the following files:

- persistence/rapidjson/thirdparty/gtest/src/gtest-internal-inl.h
- testing/googleTest/fused-src/gtest/gtest-all.cc
- persistence/rapidjson/thirdparty/gtest/src/gtest.cc